
Name:    kaffeine-mozilla 
Summary: Mozilla plugin for audio/video playback (using kaffeine)
Version: 0.2 
Release: 2%{?dist} 

License: GPL
Group:   Applications/Internet 
Url:     http://kaffeine.sourceforge.net/
Source:  http://dl.sourceforge.net/sourceforge/kaffeine/kaffeine-mozilla-%{version}.tar.bz2 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: kaffeine 

Obsoletes: kaffeine-plugin < %{version}
#Provides:  kaffeine-plugin = %{version}

BuildRequires:  xine-lib-devel 
%if 0%{?fedora} > 4 || 0%{?rhel} > 5
BuildRequires: libX11-devel libXt-devel libXaw-devel
%else
BuildRequires: xorg-x11-devel 
%endif


%description
%{summary}.


%prep
%setup -q


%build
%configure \
  --disable-static \
  --disable-dependency-tracking
  
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

for browser in mozilla ; do
mkdir -p $RPM_BUILD_ROOT%{_libdir}/$browser/plugins
cp -alf \
  $RPM_BUILD_ROOT%{_prefix}/plugins/kaffeineplugin.so \
  $RPM_BUILD_ROOT%{_libdir}/$browser/plugins/
done

# Unpackaged files
rm -rf $RPM_BUILD_ROOT%{_prefix}/plugins


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog
%{_libdir}/mozilla/plugins/kaffeineplugin.so


%changelog
* Mon Apr 26 2006 Rex Dieter <rexdieter[AT]users.sf.net. 0.2-2
- use (only) %%_libdir/mozilla/plugins

* Mon Apr 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.2-1
- include/use %%_libdir/firefox/plugins too

* Fri Nov 04 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.2-0.lvn.1
- first try

